using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace WinApi
{
	public abstract class Kernel32
	{
		[DllImport("kernel32.dll",
		SetLastError = true,
		CharSet = CharSet.Auto)]
		public static extern uint SearchPath(string lpPath,
			string lpFileName,
			string lpExtension,
			int nBufferLength,
			[MarshalAs(UnmanagedType.LPTStr)]
			StringBuilder lpBuffer,
			out IntPtr lpFilePart);
	}
}
